From 462323dba4f963844e8c9911da27a0d21e4abf43 Mon Sep 17 00:00:00 2001
From: Samuel Gaist <samuel.gaist@edeltech.ch>
Date: Sun, 2 Oct 2016 21:19:39 +0200
Subject: [PATCH] Fixed build with MaxOSX10.12 SDK

This patch adds missing includes that allows to build the module with
the 10.12 SDK and Xcode 8.

Change-Id: Ieab48f6a0582b916ceecbbb9a01a4169d6ba53f5
Reviewed-by: Jake Petroules <jake.petroules@qt.io>
---
 src/bluetooth/osx/osxbtcentralmanager_p.h | 8 ++++++++
 src/bluetooth/osx/osxbtledeviceinquiry.mm | 5 +++++
 src/bluetooth/osx/osxbtutility.mm         | 3 +++
 3 files changed, 16 insertions(+)

diff --git src/bluetooth/osx/osxbtcentralmanager_p.h src/bluetooth/osx/osxbtcentralmanager_p.h
index 1ff33c1..68b32f3 100644
--- src/bluetooth/osx/osxbtcentralmanager_p.h
+++ src/bluetooth/osx/osxbtcentralmanager_p.h
@@ -50,6 +50,14 @@
 
 #include "corebluetoothwrapper_p.h"
 
+#if QT_MAC_PLATFORM_SDK_EQUAL_OR_ABOVE(101200, __IPHONE_NA)
+#include <CoreBluetooth/CBService.h>
+#include <CoreBluetooth/CBCharacteristic.h>
+#include <CoreBluetooth/CBDescriptor.h>
+#include <CoreBluetooth/CBCentralManager.h>
+#include <CoreBluetooth/CBPeripheral.h>
+#endif
+
 @class QT_MANGLE_NAMESPACE(OSXBTCentralManager);
 
 QT_BEGIN_NAMESPACE
diff --git src/bluetooth/osx/osxbtledeviceinquiry.mm src/bluetooth/osx/osxbtledeviceinquiry.mm
index 5cf9b19..5a2f2db 100644
--- src/bluetooth/osx/osxbtledeviceinquiry.mm
+++ src/bluetooth/osx/osxbtledeviceinquiry.mm
@@ -42,6 +42,11 @@
 
 #include "corebluetoothwrapper_p.h"
 
+#if QT_MAC_PLATFORM_SDK_EQUAL_OR_ABOVE(101200, __IPHONE_NA)
+#import <CoreBluetooth/CBCentralManager.h>
+#import <CoreBluetooth/CBPeripheral.h>
+#endif
+
 QT_BEGIN_NAMESPACE
 
 namespace OSXBluetooth {
diff --git src/bluetooth/osx/osxbtutility.mm src/bluetooth/osx/osxbtutility.mm
index 08ff699..32f6f74 100644
--- src/bluetooth/osx/osxbtutility.mm
+++ src/bluetooth/osx/osxbtutility.mm
@@ -41,6 +41,9 @@
 #ifndef QT_IOS_BLUETOOTH
 
 #import <IOBluetooth/objc/IOBluetoothSDPUUID.h>
+#if QT_MAC_PLATFORM_SDK_EQUAL_OR_ABOVE(101200, __IPHONE_NA)
+#import <CoreBluetooth/CBUUID.h>
+#endif
 
 #endif
 
-- 
2.10.0

--- src/bluetooth/qbluetoothdevicediscoveryagent_osx.mm.orig	2015-10-12 21:35:37.000000000 -0700
+++ src/bluetooth/qbluetoothdevicediscoveryagent_osx.mm	2016-10-26 09:41:50.000000000 -0700
@@ -54,6 +54,10 @@
 // Only after Foundation.h:
 #include "osx/corebluetoothwrapper_p.h"
 
+#if QT_MAC_PLATFORM_SDK_EQUAL_OR_ABOVE(101200, __IPHONE_NA)
+#include <CoreBluetooth/CBPeripheral.h>
+#endif
+
 QT_BEGIN_NAMESPACE
 
 using OSXBluetooth::ObjCScopedPointer;
